# This spec file creates one relocatable RPM, containing
# both the library files and any headers to install. It's
# likely package bloat to use separate RPMs for such a small
# number of files ...
%define prefix		/usr
%define version		0.2

Summary: Flow Multiplexer plugin for libnetdude
Name: libnetdude-mux-plugin
Version: %{version}
Release: 1
License: BSD
Group: Applications/Communications
URL: http://netdude.sf.net
# Using FTP to get around SourceForge's habit of adding something after .tar.gz
Source: ftp://ftp.sf.net/pub/sourceforge/netdude/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Packager: Christian Kreibich <christian@whoop.org>
Requires: libnetdude >= 0.6
Requires: libnetdude-traceset-plugin >= 0.2

Prefix: %{prefix}

%description
This plugin reads packets from a set of trace files and multiplexes
them into one pcap-compatible output stream, in one of three modes.
Packets can be (i) written in the sequence encountered (a plain concatenation),
(ii) fully chronologically merged, or (iii) concatenated with a time-shift
per input trace that places each input file's packets chronologically after
the previous file's packets. There can be *arbitrarily* many traces in the set,
in particular, there can be more files than a process can have open file
descriptors at any one time. The output stream can be saved to a pcap file,
or printed to stdout for processing by another program.

%prep
%setup -q
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=$RPM_BUILD_ROOT%prefix --with-prefix-subst
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT%prefix --with-prefix-subst
fi

%build
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/include/libnetdude/*
%{prefix}/share/libnetdude/*

%changelog
* Sun Sep 05 2004 Christian Kreibich <christian@whoop.org> 
- Filled in template spec file.

